Changeset 3311


Ignore:
Timestamp:
Aug 21, 2003, 10:20:34 PM (16 years ago)
Author:
landonf
Message:

Do variable substitution on scripts at build time

Location:
trunk/base
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/base/Mk/dports.autoconf.mk.in

    r3284 r3311  
    2323MTREE                   = @MTREE@
    2424
     25TCLSH                   = @TCLSH@
    2526TCL_PACKAGE_DIR         = @TCL_PACKAGE_DIR@
    2627
  • trunk/base/configure

    r3284 r3311  
    40874087# Output
    40884088
    4089 ac_config_files="$ac_config_files Makefile Mk/dports.autoconf.mk doc/prefix.mtree doc/ports.conf src/darwinports1.0/darwinports_autoconf.tcl src/programs/Makefile src/port/port:src/port/port.tcl src/port/portall:src/port/portall.tcl src/port/portindex:src/port/portindex.tcl"
     4089ac_config_files="$ac_config_files Makefile Mk/dports.autoconf.mk doc/prefix.mtree doc/ports.conf src/darwinports1.0/darwinports_autoconf.tcl src/programs/Makefile"
    40904090
    40914091cat >confcache <<\_ACEOF
     
    44014401  "src/darwinports1.0/darwinports_autoconf.tcl" ) CONFIG_FILES="$CONFIG_FILES src/darwinports1.0/darwinports_autoconf.tcl" ;;
    44024402  "src/programs/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/programs/Makefile" ;;
    4403   "src/port/port" ) CONFIG_FILES="$CONFIG_FILES src/port/port:src/port/port.tcl" ;;
    4404   "src/port/portall" ) CONFIG_FILES="$CONFIG_FILES src/port/portall:src/port/portall.tcl" ;;
    4405   "src/port/portindex" ) CONFIG_FILES="$CONFIG_FILES src/port/portindex:src/port/portindex.tcl" ;;
    44064403  "src/pextlib1.0/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/pextlib1.0/config.h" ;;
    4407   *) { { echo "$as_me:4407: error: invalid argument: $ac_config_target" >&5
     4404  *) { { echo "$as_me:4404: error: invalid argument: $ac_config_target" >&5
    44084405echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    44094406   { (exit 1); exit 1; }; };;
     
    46564653
    46574654  if test x"$ac_file" != x-; then
    4658     { echo "$as_me:4658: creating $ac_file" >&5
     4655    { echo "$as_me:4655: creating $ac_file" >&5
    46594656echo "$as_me: creating $ac_file" >&6;}
    46604657    rm -f "$ac_file"
     
    46744671      [\\/$]*)
    46754672         # Absolute (can't be DOS-style, as IFS=:)
    4676          test -f "$f" || { { echo "$as_me:4676: error: cannot find input file: $f" >&5
     4673         test -f "$f" || { { echo "$as_me:4673: error: cannot find input file: $f" >&5
    46774674echo "$as_me: error: cannot find input file: $f" >&2;}
    46784675   { (exit 1); exit 1; }; }
     
    46874684         else
    46884685           # /dev/null tree
    4689            { { echo "$as_me:4689: error: cannot find input file: $f" >&5
     4686           { { echo "$as_me:4686: error: cannot find input file: $f" >&5
    46904687echo "$as_me: error: cannot find input file: $f" >&2;}
    46914688   { (exit 1); exit 1; }; }
     
    47484745  esac
    47494746
    4750   test x"$ac_file" != x- && { echo "$as_me:4750: creating $ac_file" >&5
     4747  test x"$ac_file" != x- && { echo "$as_me:4747: creating $ac_file" >&5
    47514748echo "$as_me: creating $ac_file" >&6;}
    47524749
     
    47594756      [\\/$]*)
    47604757         # Absolute (can't be DOS-style, as IFS=:)
    4761          test -f "$f" || { { echo "$as_me:4761: error: cannot find input file: $f" >&5
     4758         test -f "$f" || { { echo "$as_me:4758: error: cannot find input file: $f" >&5
    47624759echo "$as_me: error: cannot find input file: $f" >&2;}
    47634760   { (exit 1); exit 1; }; }
     
    47724769         else
    47734770           # /dev/null tree
    4774            { { echo "$as_me:4774: error: cannot find input file: $f" >&5
     4771           { { echo "$as_me:4771: error: cannot find input file: $f" >&5
    47754772echo "$as_me: error: cannot find input file: $f" >&2;}
    47764773   { (exit 1); exit 1; }; }
     
    48894886  if test x"$ac_file" != x-; then
    48904887    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
    4891       { echo "$as_me:4891: $ac_file is unchanged" >&5
     4888      { echo "$as_me:4888: $ac_file is unchanged" >&5
    48924889echo "$as_me: $ac_file is unchanged" >&6;}
    48934890    else
     
    49934990    test -d $srcdir/$ac_subdir || continue
    49944991
    4995     { echo "$as_me:4995: configuring in $ac_subdir" >&5
     4992    { echo "$as_me:4992: configuring in $ac_subdir" >&5
    49964993echo "$as_me: configuring in $ac_subdir" >&6;}
    49974994    case $srcdir in
     
    50155012       if test -d ./$ac_subdir; then :;
    50165013       else
    5017          { { echo "$as_me:5017: error: cannot create \`pwd\`/$ac_subdir" >&5
     5014         { { echo "$as_me:5014: error: cannot create \`pwd\`/$ac_subdir" >&5
    50185015echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
    50195016   { (exit 1); exit 1; }; }
     
    50465043      ac_sub_configure=$ac_configure
    50475044    else
    5048       { echo "$as_me:5048: WARNING: no configuration information is in $ac_subdir" >&5
     5045      { echo "$as_me:5045: WARNING: no configuration information is in $ac_subdir" >&5
    50495046echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
    50505047      ac_sub_configure=
     
    50605057      esac
    50615058
    5062       { echo "$as_me:5062: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
     5059      { echo "$as_me:5059: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
    50635060echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
    50645061      # The eval makes quoting arguments work.
    50655062      eval $ac_sub_configure $ac_sub_configure_args \
    50665063           --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
    5067         { { echo "$as_me:5067: error: $ac_sub_configure failed for $ac_subdir" >&5
     5064        { { echo "$as_me:5064: error: $ac_sub_configure failed for $ac_subdir" >&5
    50685065echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
    50695066   { (exit 1); exit 1; }; }
  • trunk/base/configure.ac

    r3284 r3311  
    108108AC_CONFIG_FILES([Makefile Mk/dports.autoconf.mk doc/prefix.mtree
    109109                doc/ports.conf src/darwinports1.0/darwinports_autoconf.tcl
    110                 src/programs/Makefile src/port/port:src/port/port.tcl
    111                 src/port/portall:src/port/portall.tcl
    112                 src/port/portindex:src/port/portindex.tcl])
     110                src/programs/Makefile])
    113111
    114112AC_OUTPUT
  • trunk/base/src/port/Makefile

    r3280 r3311  
    22INSTALLDIR=     ${DESTDIR}${prefix}
    33TOPSRCDIR=      ../..
     4SCRIPTS=        portindex portall port
     5
     6edit = sed \
     7        -e 's,@TCLSH\@,$(TCLSH),g'
    48
    59include ../../Mk/dports.autoconf.mk
     10
     11all: ${SCRIPTS}
     12
     13portindex: portindex.tcl
     14        ${edit} $< > $@
     15
     16portall: portall.tcl
     17        ${edit} $< > $@
     18
     19port: port.tcl
     20        ${edit} $< > $@
    621
    722mkdirs:
    823        cat ../../doc/prefix.mtree | $(MTREE) -U -d -e -p ${INSTALLDIR} > /dev/null
    924
    10 all:
    11 
    1225clean:
     26        rm -f ${SCRIPTS}
    1327
    1428distclean: clean
    15         rm -f port portall portindex
    1629
    1730install: mkdirs
Note: See TracChangeset for help on using the changeset viewer.